Yeni Cevap 
 
Konuyu Değerlendir
  • 0 Oy - 0 Ortalama
  • 1
  • 2
  • 3
  • 4
  • 5
Server 2008 Üstüne Oscommerce Kuramıyorum.
Yazar Mesaj
filmtakip Çevrimdışı
Member
***

Mesajlar: 17
Katılım: Jul 2012
Rep Puanı: 0
Mesaj: #1
Server 2008 Üstüne Oscommerce Kuramıyorum.
Herkese Merhaba,
Daha önceden Server 2003 yüklü olan sunucuma Server 2008 yükledim. 2003 yüklü iken kontrol panel olarak da Plesk 9 kullanıyordum ve hiç bir sorunum yoktu. 2008 üzerine Plesk 11.5.30 yükledim. Ancak kurulumu hatasız düzgün bir şekilde yaptığım halde siteyi bir türlü çalıştıramıyorum. Tarayıcılardan herhangi birini açıp siteyi ilk yüklediğimde ana sayfa geliyor. Ancak sayfanın en altında;

Warning: session_write_close() [function.session-write-close]: Your script possibly relies on a session side-effect which existed until PHP 4.2.3. Please be advised that the session extension does not consider global variables as a source of data, unless register_globals is enabled. You can disable this functionality and this warning by setting session.bug_compat_42 or session.bug_compat_warn to off, respectively in E:\Inetpub\vhosts\spotmama.com\httpdocs\includes\functions\sessions.php on line 157

şeklinde bir hata çıkarıyor. Daha sonra herhangi bir sayfaya gir girebilirsen. Verdiği hata şu:

Warning: require(includes/languages/.php) [function.require]: failed to open stream: No such file or directory in E:\Inetpub\vhosts\spotmama.com\httpdocs\includes\application_top.php on line 296

Warning: require(includes/languages/.php) [function.require]: failed to open stream: No such file or directory in E:\Inetpub\vhosts\spotmama.com\httpdocs\includes\application_top.php on line 296

Fatal error: require() [function.require]: Failed opening required 'includes/languages/.php' (include_path='.;./includes;./pear') in E:\Inetpub\vhosts\spotmama.com\httpdocs\includes\application_top.php on line 296


Sorun işletim sisteminden mi kaynaklanıyor yoksa Pleskten mi anlamadım. Acaba ini dosyalarında bir değişiklik mi yapmam gerekiyor? Daha önce bu sorunla karşılaşmış olan arkadaşların yardımlarını bekliyorum. Şimdiden herkese teşekkür ederim.
01-02-2014 20:03
Bu kullanıcının gönderdiği tüm mesajları bul Bu mesajı alıntı yap
NEFRiT Çevrimdışı
Senior Member
****

Mesajlar: 103
Katılım: Apr 2009
Rep Puanı: 0
Mesaj: #2
RE: Server 2008 Üstüne Oscommerce Kuramıyorum.
Sorun işletim sisteminde yüklü olan PHP versiyonu. Sorunun çözümü için 2003 serverda kullanılan PHP versiyonu kullanılabilir. Bunun için PLESK panel ile ilgili destek veren sitelere bakılabilir.

Bir diğer çözüm ise şu an denenen osc sürümünden daha yüksek OSC Sürümü kullanmak. Örneğin 2.3.3 kullandığın zaman boyle bir sessions hatası almayacaksın çünki bu versiyonda OSC nin PHP sürüm uyumluluğu yeni çıkan PHP versiyonlarına göre düzenlenmiştir.

sessions.php sayfası ve diğer pek çok sayfa güncel PHP versiyonlar için düzenlenmiştir.

Muhtemelen gec cevap alıyorsun ama benzeri sorun yaşayanlar bu yontemleri deneyebilirler.

Yeni baştan osc kuracaklara 2.3.4 versiyonu önerilir, server php versiyonları yüksek ise.

İndirme Linki: http://www.oscommerce.com/Products
27-05-2015 17:08
Kullanıcının websitesini ziyaret et Bu kullanıcının gönderdiği tüm mesajları bul Bu mesajı alıntı yap
Yeni Cevap 


Benzer Konular...
Konu: Yazar Cevaplar: Gösterim: Son Mesaj
  Oscommerce script çalıştıramıyorum gobrasoft 0 1,761 25-08-2015 19:08
Son Mesaj: gobrasoft
  oscommerce ana sayfa Türkçe Dil Yapma eRhans23 0 1,965 04-08-2013 00:16
Son Mesaj: eRhans23
  Oscommerce 2.3.1 teması yüklenmiyor filmtakip 4 3,796 05-07-2013 18:34
Son Mesaj: filmtakip
  Oscommerce Tarih Sorunu! Geçmiş işlemlerde de bugünün tarihini gösteriyor! matrak104 2 2,223 26-12-2012 17:32
Son Mesaj: bonus34
  oscommerce duzgun edition veritabanı hakkında cherheat 4 3,791 14-11-2012 16:18
Son Mesaj: cherheat
  Oscommerce ürünlere vide ekleme sorunu UnknowSouL 3 3,174 15-06-2012 09:53
Son Mesaj: UnknowSouL

Foruma Git:


Bu konuyu görüntüleyen kullanıcı(lar): 1 Ziyaretçi